package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.NewInformDTO;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderOperateHistoryDTO;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

public interface InformService {

    /**
     * 获取用户的订单列表
     *
     * @param paging 分页信息
     * @return 用户的订单列表
     */
    Pagination<OmsOrderOperateHistoryDTO> selectOmsOrderOperateHistoryListByUserId(Long userId, Paging paging);

    /**
     * 将新订单通知标识更改
     *
     */
    void changeUserOrderInformFlag(Long userId);

    /**
     * 查看是否有系统新消息
     *
     */
    NewInformDTO getNewInform(Long userId);
}
